Promo codes
Retrieve a list of company discounts
Returns merchant and droplet promo code discounts by default. Pass source=promo or source=droplet to filter by source. Manual discounts are always excluded from this listing.
GET
/
api
/
v2025-06
/
discounts
Retrieve a list of company discounts
curl --request GET \
--url https://api.fluid.app/api/v2025-06/discounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2025-06/discounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2025-06/discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"discounts": [
{
"id": 5790,
"code": "BEETSHIP",
"name": "BEETSHIP",
"description": "Free shipping on Schrute Farms Beet Box orders",
"price_discount_type": "free_shipping",
"price_discount_amount": 0,
"price_discount_percent": 0,
"percentage_value": null,
"source": "promo",
"value_managed_by_droplet": false,
"reason": null,
"created_by": {
"id": 20417,
"full_name": "Dwight Schrute"
},
"active": true,
"automatic": false,
"applicable_for": null,
"apply_only_once": false,
"apply_to_subscriptions": false,
"apply_to_recurring_subscription_orders": false,
"apply_to_volume": false,
"country_filter": "apply_all",
"customer_filter": "all_customers",
"shipping_method_filter": "apply_all_methods",
"purchase_requirement": "no_minimum_required",
"purchase_requirement_applies_to_whole_cart": true,
"has_end_date": false,
"start_date_time": "2026-09-01T04:00:00.000Z",
"end_date_time": null,
"start_date": "2026-09-01",
"start_time": "00:00",
"end_date": null,
"end_time": null,
"time_zone": "America/New_York",
"discount_type": "shipping_discount",
"total_usage": 112,
"free_variant_ids": [],
"free_enrollment_pack_ids": [],
"waive_enrollment_fee": false,
"applicable_product_ids": [],
"inapplicable_product_ids": [],
"applicable_collection_ids": [],
"applicable_enrollment_pack_ids": [],
"inapplicable_enrollment_pack_ids": [],
"collection_ids": [],
"product_ids": [],
"customer_ids": [],
"country_codes": [],
"eligible_customer_ids": [],
"eligible_country_ids": [],
"ineligible_country_ids": [],
"eligible_shipping_method_ids": [],
"eligible_customer_segments": [],
"minimum_purchase_requirement_amount": 0,
"minimum_purchase_requirement_amount_max": null,
"minimum_purchase_requirement_quantity": 0,
"minimum_cv": null,
"maximum_cv": null,
"customer_usage_limit": 0,
"minimum_amount_cents": 0,
"limit_usage_of_code": false,
"limit_usage_per_customer": false,
"other_shipping_discounts": true,
"other_product_discounts": true,
"created_at": "2026-08-28T13:47:09Z",
"updated_at": "2026-09-02T09:15:40Z"
},
{
"id": 5821,
"code": "PAPERDAY10",
"name": "PAPERDAY10",
"description": "10% off orders over $50 for National Paper Day week",
"price_discount_type": "percentage",
"price_discount_amount": 0,
"price_discount_percent": 10,
"percentage_value": "10.0",
"source": "promo",
"value_managed_by_droplet": false,
"reason": null,
"created_by": {
"id": 20410,
"full_name": "Michael Scott"
},
"active": true,
"automatic": false,
"applicable_for": "everything",
"apply_only_once": false,
"apply_to_subscriptions": false,
"apply_to_recurring_subscription_orders": false,
"apply_to_volume": false,
"country_filter": "apply_all",
"customer_filter": "all_customers",
"shipping_method_filter": "apply_all_methods",
"purchase_requirement": "minimum_purchase_amount",
"purchase_requirement_applies_to_whole_cart": true,
"has_end_date": true,
"start_date_time": "2026-09-20T04:00:00.000Z",
"end_date_time": "2026-10-01T03:59:00.000Z",
"start_date": "2026-09-20",
"start_time": "00:00",
"end_date": "2026-09-30",
"end_time": "23:59",
"time_zone": "America/New_York",
"discount_type": "product_discount",
"total_usage": 37,
"free_variant_ids": [],
"free_enrollment_pack_ids": [],
"waive_enrollment_fee": false,
"applicable_product_ids": [],
"inapplicable_product_ids": [],
"applicable_collection_ids": [],
"applicable_enrollment_pack_ids": [],
"inapplicable_enrollment_pack_ids": [],
"collection_ids": [],
"product_ids": [],
"customer_ids": [],
"country_codes": [],
"eligible_customer_ids": [],
"eligible_country_ids": [],
"ineligible_country_ids": [],
"eligible_shipping_method_ids": [],
"eligible_customer_segments": [],
"minimum_purchase_requirement_amount": 50,
"minimum_purchase_requirement_amount_max": null,
"minimum_purchase_requirement_quantity": 0,
"minimum_cv": null,
"maximum_cv": null,
"customer_usage_limit": 1,
"minimum_amount_cents": 50,
"limit_usage_of_code": false,
"limit_usage_per_customer": true,
"other_shipping_discounts": true,
"other_product_discounts": false,
"created_at": "2026-09-10T19:04:22Z",
"updated_at": "2026-09-10T19:04:22Z"
}
],
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-15T14:32:08Z",
"pagination": {
"current_page": 1,
"total_pages": 1,
"total_count": 2,
"per_page": 10
}
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by discount code (partial match)
Filter by discount source. Omit to include merchant and droplet promo codes.
Available options:
promo, droplet ⌘I
Retrieve a list of company discounts
